SDL_aligned_alloc(3)

NAME
SDL_aligned_alloc - Allocate memory aligned to a specific alignment.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_aligned_alloc(size_t alignment, size_t size);

DESCRIPTION
The memory returned by this function must be freed with

SDL_aligned_free (), _not_ SDL_free ().

If alignment is less than the size of void* , it will be increased to match that.

The returned memory address will be a multiple of the alignment value, and the size of the memory allocated will be a multiple of the alignment value.

FUNCTION PARAMETERS

alignment
    the alignment of the memory.

size
    the size to allocate.

RETURN VALUE
Returns a pointer to the aligned memory, or NULL if allocation failed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_aligned_free(3)